import chalk from 'chalk';
declare const levels: {
    log: (msg: string) => string;
    error: chalk.Chalk;
    info: chalk.Chalk;
    debug: chalk.Chalk;
};
declare type Level = keyof typeof levels;
declare type Log = (msg: string | string[]) => void;
export declare type Logger = Record<Level, Log>;
declare const logger: ({ v, vvv }: {
    v: boolean;
    vvv: boolean;
}) => Logger;
export default logger;
