"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const writeFile = async (path, data) => {
    const fileData = typeof data === 'string' ? data : JSON.stringify(data, undefined, 2);
    await fs_1.promises.writeFile(path, `${fileData.trim()}\n`, { encoding: 'utf8' });
};
exports.default = writeFile;
