"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.desc = exports.command = void 0;
const commitlint_1 = __importDefault(require("../actions/tools/commitlint"));
const yargs_1 = require("../lib/cli/yargs");
exports.command = 'git:msg';
exports.desc = 'Handler for the git pre-commit hook';
exports.builder = yargs_1.builderDefault(exports.command, (yargs) => yargs);
const handler = async (argv) => {
    try {
        await commitlint_1.default(argv);
    }
    catch (error) {
        yargs_1.errorHandler(argv, error);
    }
};
exports.handler = handler;
