"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const gitCommit = async ({ cwd, log }, { msg }) => {
    log.info(`Make a commit with the message "${msg}"`);
    await exec_1.default({ cmd: 'git', args: ['commit', '-m', `"${msg}"`], cwd, log });
};
exports.default = gitCommit;
