"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const readFile = async (path, toJson = false) => {
    const data = await fs_1.promises.readFile(path, { encoding: 'utf8' });
    if (toJson) {
        return JSON.parse(data);
    }
    return data;
};
exports.default = readFile;
