"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.existConfigFile = void 0;
const path_1 = require("path");
const access_1 = __importDefault(require("./cmd/access"));
// eslint-disable-next-line import/prefer-default-export
const existConfigFile = async (cwd, files) => {
    const exists = await Promise.all(files.map((file) => access_1.default(path_1.join(cwd, file))));
    return exists.some((v) => v);
};
exports.existConfigFile = existConfigFile;
